# 59. Запитване: Получаване на „AsAppliedDatasets“

Получете всички "AsAppliedDatasets" за избраното "Field". Наборите от данни могат да бъдат извлечени с помощта на общи GraphQL заявки като `getFarms` и `getFields` от свързаното "Field".&#x20;

{% hint style="warning" %}
"AsAppliedDataset" трябва да бъде качен предварително.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        name
        number #общ брой геофункции 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #пълни детайли за всеки атрибут
          name #връзка към статистики >> атрибут
          transliteratedName
          fullName #правилно човеко-четимо име
          unit#единици на измерване
        }

        usedMachines { #използвани машини
          ид
          serial
          operatorId
        } 

        createdDate #дата и час на създаване на обекта в GeoPard
        updatedDate #дата и час на последна актуализация
        operationId
        operationType
        operationFileDate #датa и време на създаване на файла идва от метаинформацията 
        operationStartDate #начало на операцията идва от метаинформацията
        
        statistics { #разпределение на статистиките за всеки атрибут
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        name
        number #общ брой геофункции 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #пълни детайли за всеки атрибут
          name #връзка към статистики >> атрибут
          transliteratedName
          fullName #правилно човеко-четимо име
          unit#единици на измерване
        }

        usedMachines { #използвани машини
          ид
          serial
          operatorId
        } 

        createdDate #дата и час на създаване на обекта в GeoPard
        updatedDate #дата и час на последна актуализация
        operationId
        operationType
        operationFileDate #датa и време на създаване на файла идва от метаинформацията 
        operationStartDate #начало на операцията идва от метаинформацията
        
        statistics { #разпределение на статистиките за всеки атрибут
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/59.-zapitvane-poluchavane-na-asapplieddatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
